#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		mainname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	xfce4-panel
Version		:	4.14.4
Release		:	16.2.1.rel%{?dist}

Summary		:	Xfce panel library manager
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://docs.xfce.org/xfce/xfce4-panel/start

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
Buildrequires	:	desktop-file-utils
BuildRequires	:	exo
BuildRequires	:	garcon
BuildRequires	:	gobject-introspection
BuildRequires	:	libxfce4ui
BuildRequires	:	libwnck
BuildRequires	:	xfconf
BuildRequires	:	vala

Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
The Xfce panel is part of the Xfce Desktop Environment and
features program launchers, panel menus, a clock, a desktop
switcher and more. Many aspects of the panel can be configured
through graphical dialogs, but also by GTK+ style properties
and hidden Xfconf settings.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{mainname}/lib%{mainname}panel-*/lib%{mainname}panel/*.h
%{_sysconfdir}/xdg/%{mainname}/panel/default.xml
%{_bindir}/%{mainname}-*
%{_libdir}/lib%{mainname}panel-*.{la,so*}
%{_libdir}/%{mainname}/panel/migrate
%{_libdir}/%{mainname}/panel/wrapper-*
%{_libdir}/%{mainname}/panel/plugins/*.{la,so}
%{_libdir}/pkgconfig/lib%{mainname}panel-*.pc
%{_libdir}/girepository-1.0/lib%{mainname}panel-2.0.typelib
%{_datadir}/gir-1.0/lib%{mainname}panel-2.0.gir
%{_datadir}/applications/panel-*.desktop
%{_datadir}/gtk-doc/html/lib%{mainname}panel-2.0/*.{html,png}
%{_datadir}/gtk-doc/html/lib%{mainname}panel-2.0/style.css
%{_datadir}/icons/hicolor/*/apps/%{name}*.{png,svg}
%{_datadir}/%{mainname}/panel/plugins/*.desktop
%{_datadir}/vala/vapi/lib%{mainname}panel-2.0.{deps,vapi}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-gtk3					\
	--enable-gtk-doc				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/*.desktop 

#-----------------------------------------------------------------------------
%changelog
